Cyberduck Mountain Duck CLI

#7964 closed defect (fixed)

Broken pipe with multipart upload

Reported by: shinelimited Owned by: dkocher
Priority: highest Milestone: 4.5
Component: s3 Version: 4.4.4
Severity: blocker Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description (last modified by dkocher)

Hi Support,

I purhcased this app purely for multipart uploading to S3. However I keep getting the following error (also viewable in screenshot attached):

Connection has been shutdown: 
javax.net.ssl.SSLException: java.net.SocketException:
Broken pipe. Broken pipe.

This is preventing our business from sharing assets as is a major problem.

Attachments (1)

Screen Shot 2014-05-19 at 15.54.55.png (84.5 KB) - added by shinelimited on May 19, 2014 at 2:59:40 PM.

Download all attachments as: .zip

Change History (7)

comment:1 Changed on May 20, 2014 at 7:58:39 AM by dkocher

  • Description modified (diff)
  • Summary changed from Upload error S3 to Broken pipe with multipart upload

comment:2 Changed on Jun 10, 2014 at 9:52:25 AM by dkocher

  • Milestone set to 4.5
  • Status changed from new to assigned

comment:3 Changed on Jun 10, 2014 at 1:29:36 PM by dkocher

You can always Resume a interrupted multipart upload and it will only transfer the remaining and interrupted segments.

comment:4 Changed on Jun 11, 2014 at 12:20:11 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r14749.

comment:5 Changed on Jul 15, 2014 at 4:08:33 PM by dkocher

Revised retry handler and added test in r14901.

comment:6 Changed on Jul 15, 2014 at 4:08:41 PM by dkocher

Fix in r14903 with Expect: 100-continue header for PUT requests that resolves broken pipe failures for uploads to buckets where a 307 Temporary Redirect is returned.

Note: See TracTickets for help on using tickets.
swiss made software